Get File Transfers
curl --request GET \
--url https://api.twine.se/v1/org/file-transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/file-transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/file-transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"file_name": "first-aid-2026.pdf",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "delivered",
"bytes_retain_until": "2023-11-07T05:31:56Z",
"content_sha256": "<string>",
"content_type": "application/pdf",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_mapping_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>",
"inserted_at": "2023-11-07T05:31:56Z",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"remote_employee_id": "E-10422",
"remote_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"remote_metadata": {},
"remote_path": "/certificates/2026/first-aid-2026.pdf",
"size": 123,
"system_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"code": 400,
"errors": [],
"message": "Bad Request"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}File Transfers
Get File Transfers
List file transfers. These records are kept indefinitely, including the identifier each target system assigned, even though the uploaded files themselves are removed shortly after delivery.
GET
/
v1
/
org
/
file-transfers
Get File Transfers
Authorizations
Bearer token for authentication
Query Parameters
Cursor pagination
Show child attributes
Show child attributes
Parameters for File Transfer ordering
Show child attributes
Show child attributes
Filter parameters for File Transfer Parameters for File Transfer filtering
Show child attributes
Show child attributes
⌘I